package com.pj.api.dto;

import java.util.Date;

/**
 * @Author Mechrevo
 * @Date 2023 09 01 11 53
 **/
public class ImportDeclarePeopleDto {
    private Integer id;

    /**
     * 身份证号
     */
    private String idno;

    /**
     * 边民备案编号(可选)
     */
    private String borderPutrecNo;

    /**
     * 边民姓名不能为空
     */
    private String borderName;

    /**
     * 结算单号
     */
    private String settleBillNo;

    /**
     * 进出口预申报单号
     */
    private String preIeportNo;

    /**
     * 购买申报确认状态：Y->确认购买申报，N->不购买申报
     */
    private String buyConfirmStatus;

    /**
     * 支付状态：01->未支付，02->已支付
     */
    private Integer payStatus;

    /**
     * 完成情况
     */
    private Integer finishStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getIdno() {
        return idno;
    }

    public void setIdno(String idno) {
        this.idno = idno;
    }

    public String getBorderPutrecNo() {
        return borderPutrecNo;
    }

    public void setBorderPutrecNo(String borderPutrecNo) {
        this.borderPutrecNo = borderPutrecNo;
    }

    public String getBorderName() {
        return borderName;
    }

    public void setBorderName(String borderName) {
        this.borderName = borderName;
    }

    public String getSettleBillNo() {
        return settleBillNo;
    }

    public void setSettleBillNo(String settleBillNo) {
        this.settleBillNo = settleBillNo;
    }

    public String getPreIeportNo() {
        return preIeportNo;
    }

    public void setPreIeportNo(String preIeportNo) {
        this.preIeportNo = preIeportNo;
    }

    public String getBuyConfirmStatus() {
        return buyConfirmStatus;
    }

    public void setBuyConfirmStatus(String buyConfirmStatus) {
        this.buyConfirmStatus = buyConfirmStatus;
    }

    public Integer getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }

    public Integer getFinishStatus() {
        return finishStatus;
    }

    public void setFinishStatus(Integer finishStatus) {
        this.finishStatus = finishStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public ImportDeclarePeopleDto(Integer id, String idno, String borderPutrecNo, String borderName, String settleBillNo, String preIeportNo, String buyConfirmStatus, Integer payStatus, Integer finishStatus, Date createTime) {
        this.id = id;
        this.idno = idno;
        this.borderPutrecNo = borderPutrecNo;
        this.borderName = borderName;
        this.settleBillNo = settleBillNo;
        this.preIeportNo = preIeportNo;
        this.buyConfirmStatus = buyConfirmStatus;
        this.payStatus = payStatus;
        this.finishStatus = finishStatus;
        this.createTime = createTime;
    }

    public ImportDeclarePeopleDto() {
    }
}
